Upstream information

CVE-2023-3978 at MITRE

Description

Text nodes not in the HTML namespace are incorrectly literally rendered, causing text which should be escaped to not be. This could lead to an XSS attack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 5.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1213933 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 9
  • podman >= 4.6.1-5.el9
  • podman-docker >= 4.6.1-5.el9
  • podman-gvproxy >= 4.6.1-5.el9
  • podman-plugins >= 4.6.1-5.el9
  • podman-remote >= 4.6.1-5.el9
  • podman-tests >= 4.6.1-5.el9
Patchnames:
RHSA-2023:6474


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 cni Not affected
SUSE Linux Enterprise Micro 5.1 cni Not affected
SUSE Linux Enterprise Micro 5.2 cni Not affected
SUSE Linux Enterprise Micro 5.3 cni Not affected
SUSE Linux Enterprise Micro 5.4 cni Not affected
SUSE Linux Enterprise Micro 5.5 cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP5 cni Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 yq Not affected
SUSE Linux Enterprise Server 15 SP5 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 cni Not affected
SUSE Manager Proxy 4.3 cni Not affected
SUSE Manager Retail Branch Server 4.3 cni Not affected
SUSE Manager Server 4.3 cni Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP1 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS cni Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP2 cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP3 cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP4 cni Not affected
SUSE Linux Enterprise Server 15 SP2 cni Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS cni Not affected
SUSE Linux Enterprise Server 15 SP3 cni Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS cni Not affected
SUSE Linux Enterprise Server 15 SP4 cni Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 cni Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 cni Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 cni Not affected
SUSE Enterprise Storage 6 cni Not affected
SUSE Enterprise Storage 7 cni Not affected
SUSE Linux Enterprise Micro 5.0 cni Not affected
SUSE Linux Enterprise Module for Containers 15 SP1 cni Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP1 cni Not affected
SUSE Linux Enterprise Module for Public Cloud 15 SP2 cni Not affected
SUSE Linux Enterprise Server 15 SP1 cni Not affected
SUSE Linux Enterprise Server 15 SP1-BCL cni Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS cni Not affected
SUSE Linux Enterprise Server 15 SP2-BCL cni Not affected
SUSE Linux Enterprise Server 15 SP3-BCL cni Not affected
SUSE Manager Proxy 4.0 cni Not affected
SUSE Manager Proxy 4.1 cni Not affected
SUSE Manager Proxy 4.2 cni Not affected
SUSE Manager Retail Branch Server 4.0 cni Not affected
SUSE Manager Retail Branch Server 4.1 cni Not affected
SUSE Manager Retail Branch Server 4.2 cni Not affected
SUSE Manager Server 4.0 cni Not affected
SUSE Manager Server 4.1 cni Not affected
SUSE Manager Server 4.2 cni Not affected
Container Status
rancher/elemental-channel
rancher/elemental-rt-channel
rancher/elemental-teal-channel
rancher/elemental-teal-iso/5.4
rancher/elemental-teal-rt-channel
rancher/elemental-teal-rt/5.4
rancher/elemental-teal/5.4
suse/sle-micro-iso/5.5
suse/sle-micro-iso/base-5.5
suse/sle-micro/5.5
suse/sle-micro/rt-5.5
cniNot affected


SUSE Timeline for this CVE

CVE page created: Thu Aug 3 00:05:12 2023
CVE page last modified: Tue Feb 6 13:50:02 2024